Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455578 - Network is broken after upgrade from RHEL4U6
Summary: Network is broken after upgrade from RHEL4U6
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.7
Hardware: i386
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Neil Horman
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 11:45 UTC by Nicole Dai
Modified: 2010-07-13 15:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-13 15:05:56 UTC


Attachments (Terms of Use)
log information when manually run ifup or server network restart (deleted)
2008-07-16 11:45 UTC, Nicole Dai
no flags Details
lspci output (deleted)
2008-07-17 02:28 UTC, Nicole Dai
no flags Details

Description Nicole Dai 2008-07-16 11:45:17 UTC
Description of problem:
After upgrade from RHEL4U6 to RHEL4U7-20080711.0, network cannot be up with the
following outputs:
[root@localhost ~]# ifup eth0

Determining IP information for eth0...SIOCSIFFLAGS: Device or resource busy
SIOCSIFFLAGS: Device or resource busy

Version-Release number of selected component (if applicable):
initscripts-7.93.33-1.el4

How reproducible:
Always

Steps to Reproduce:
1. Fresh install RHEL4U6 (default or everything)
2. Upgrade the RHEL4U6 to RHEL4U7-20080711.0
3. Log on system and ifconfig 
  
Actual results:
No IP address was assigned to the default NIC. ifup or server network restart
outputted the error:
Determining IP information for eth0...SIOCSIFFLAGS: Device or resource busy
SIOCSIFFLAGS: Device or resource busy

Expected results:


Additional info:
Got the following information from /var/log/messages which showed the NIC was up
during the startup:
Jul 16 17:48:29 dhcp-65-148 ifup:
Jul 16 17:48:29 dhcp-65-148 ifup: Determining IP information for eth0...
Jul 16 17:48:29 dhcp-65-148 dhclient: DHCPDISCOVER on eth0 to 255.255.255.255
port 67 interval 8
Jul 16 17:48:29 dhcp-65-148 dhclient: DHCPOFFER from 10.66.65.254 <30>Jul 16
17:48:29 dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
Jul 16 17:48:29 dhcp-65-148 dhclient: DHCPACK from 10.66.65.254
Jul 16 17:48:29 dhcp-65-148 NET: /sbin/dhclient-script : updated /etc/resolv.conf
Jul 16 17:48:29 dhcp-65-148 dhclient: bound to 10.66.65.148 -- renewal in 12112
seconds.
Jul 16 17:48:29 dhcp-65-148 ifup:  done.
Jul 16 17:48:29 dhcp-65-148 network: Bringing up interface eth0:  succeeded

Comment 1 Nicole Dai 2008-07-16 11:45:18 UTC
Created attachment 311942 [details]
log information when manually run ifup or server network restart

Comment 2 Bill Nottingham 2008-07-16 17:29:11 UTC
Can you attach the output of lspci? This sounds like a driver issue.

Comment 3 Nicole Dai 2008-07-17 02:28:16 UTC
Created attachment 312007 [details]
lspci output

Comment 4 Neil Horman 2009-12-21 13:39:19 UTC
It sounds to me like perhaps something actually started working correctly,  in that, after the upgrade, perhaps NetworkManager is automating the bringup of the interface in question, making the ifup which you issue redundant?

Comment 5 Neil Horman 2010-06-23 18:37:12 UTC
ping any update here?


Note You need to log in before you can comment on or make changes to this bug.